# Interface FetchAdapterConfig

#### Hierarchy

- FetchAdapterConfig

- Defined in src/fetchAdapter.ts:6

#####
Index

### Properties

baseUrl?
enableCancelRepeatRequest?
enableResponseHidden?
pingTestTimeout?
requestInitConfig?
requestInterceptor?
responseErrorInterceptor?
responseInterceptor?
successStatusCode?
timeout?

## Properties

### `Optional` baseUrl

baseUrl?: string | string[]

- Defined in src/fetchAdapter.ts:7

### `Optional` enableCancelRepeatRequest

enableCancelRepeatRequest?: boolean

- Defined in src/fetchAdapter.ts:8

### `Optional` enableResponseHidden

enableResponseHidden?: boolean

- Defined in src/fetchAdapter.ts:9

### `Optional` pingTestTimeout

pingTestTimeout?: number

- Defined in src/fetchAdapter.ts:15

### `Optional` requestInitConfig

requestInitConfig?: RequestInit

- Defined in src/fetchAdapter.ts:10

### `Optional` requestInterceptor

requestInterceptor?: ((params: RequestInterceptorParams) => Promise<RequestInterceptorParams>)

#### Type declaration

- - (params: RequestInterceptorParams): Promise<RequestInterceptorParams>

  - #### Parameters

    - ##### params: RequestInterceptorParams

    #### Returns Promise<RequestInterceptorParams>

- Defined in src/fetchAdapter.ts:11

### `Optional` responseErrorInterceptor

responseErrorInterceptor?: ((error: any) => Promise<any>)

#### Type declaration

- - (error: any): Promise<any>

  - #### Parameters

    - ##### error: any

    #### Returns Promise<any>

- Defined in src/fetchAdapter.ts:25

### `Optional` responseInterceptor

responseInterceptor?: ((__namedParameters: { request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }) => Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>)

#### Type declaration

- - (__namedParameters: { request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }): Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

  - #### Parameters

    - ##### __namedParameters: { request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }

      - ##### request: Request

      - ##### `Optional` requestMeta?: RequestMeta

      - ##### response: FetchAdapterResponse

    #### Returns Promise<{ request: Request; requestMeta?: RequestMeta; response: FetchAdapterResponse }>

- Defined in src/fetchAdapter.ts:17

### `Optional` successStatusCode

successStatusCode?: number[]

- Defined in src/fetchAdapter.ts:26

### `Optional` timeout

timeout?: number

- Defined in src/fetchAdapter.ts:14

Generated using TypeDoc